using AyCode.Interfaces.Users;

namespace AyCode.Interfaces.ServiceProviders;

public interface IAcCompanyRelation<TCompany, TUserToServiceProvider> 
    where TCompany : IAcCompanyBase
    where TUserToServiceProvider : IAcUserToCompanyBase
{
    public List<TCompany> ServiceProviders { get; set; }
    public List<TUserToServiceProvider> UserToServiceProviders { get; set; }
}